{ nixpkgs ? <nixpkgs>, ... }:

let
  pkgs = import nixpkgs {};
  callPackage = pkgs.lib.callPackageWith (pkgs // newpkgs);

  shelfieSrc = fetchGit {
    url = "https://github.com/spacekookie/shelfie";
    rev = "fb09d6d9ff94ea0679cf6406a3153735d49f38cd";
  };
  wasiSrc = fetchGit {
    url = "https://gitlab.infra4future.de/wasi/wasi-rust";
    rev = "356dbc23a3683d134f13156af71baeaa06fb80d1";
  };

  newpkgs = {
    fb_exporter = callPackage ./fb_exporter {};
    shelfie = import shelfieSrc { inherit shelfieSrc; pkgs = pkgs // newpkgs; };
    wasi = import wasiSrc { inherit wasiSrc; pkgs = pkgs // newpkgs; };
  };

in newpkgs
